diff -w -ru sawfish-1.0.orig/capplet/Makefile.in sawfish-1.0/capplet/Makefile.in
--- sawfish-1.0.orig/capplet/Makefile.in	Thu Jul 20 06:14:15 2000
+++ sawfish-1.0/capplet/Makefile.in	Wed Jul 25 15:32:07 2001
@@ -35,7 +35,7 @@
 
 all : sawfish-capplet
 
-sawfish-capplet : sawmill-capplet.c ../src/libclient.o
+sawfish-capplet : sawmill-capplet.c ../src/libclient_.o
 	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LIBS)
 
 install : all installdirs
diff -w -ru sawfish-1.0.orig/configure sawfish-1.0/configure
--- sawfish-1.0.orig/configure	Mon Jul  9 21:42:19 2001
+++ sawfish-1.0/configure	Wed Jul 25 14:05:45 2001
@@ -3185,7 +3185,7 @@
 fi
 
 
-doug_lea_malloc=yes
+doug_lea_malloc=no
 echo $ac_n "checking for malloc_get_state""... $ac_c" 1>&6
 echo "configure:3191: checking for malloc_get_state" >&5
 if eval "test \"`echo '$''{'ac_cv_func_malloc_get_state'+set}'`\" = set"; then
@@ -3287,6 +3287,12 @@
 if test "$doug_lea_malloc" = "no"; then
   case ${host} in
     *-dec-osf*)
+            cat >> confdefs.h <<\EOF
+#define LIBC_MALLOC 1
+EOF
+
+      ;;
+*aix*)
             cat >> confdefs.h <<\EOF
 #define LIBC_MALLOC 1
 EOF
diff -w -ru sawfish-1.0.orig/configure.in sawfish-1.0/configure.in
--- sawfish-1.0.orig/configure.in	Mon Jul  9 21:40:51 2001
+++ sawfish-1.0/configure.in	Wed Jul 25 13:58:14 2001
@@ -279,6 +279,10 @@
       dnl dlmalloc is broken on Tru64
       AC_DEFINE(LIBC_MALLOC)
       ;;
+    *aix*)
+     dnl dlmalloc is broken on AIX
+     AC_DEFINE(LIBC_MALLOC)
+     ;;
     *)
       LIBOBJS="${LIBOBJS} dlmalloc.o"
       AC_DEFINE(DOUG_LEA_MALLOC)
diff -w -ru sawfish-1.0.orig/src/Makefile.in sawfish-1.0/src/Makefile.in
--- sawfish-1.0.orig/src/Makefile.in	Wed Jun 20 16:43:16 2001
+++ sawfish-1.0/src/Makefile.in	Wed Jul 25 14:59:51 2001
@@ -44,7 +44,7 @@
 
 sawfish : $(OBJS) $(LIBOBJS)
 	$(rep_LIBTOOL) --mode=link $(CC) -export-dynamic $(LDFLAGS) \
-	  -o sawfish $(OBJS) $(LIBOBJS) $(REP_LIBS) \
+	  -o sawfish -Wl,-bexpall $(OBJS) $(LIBOBJS) $(REP_LIBS) \
 	  $(IMAGE_LIBS) $(X11_LIBS) $(EXTRA_X11_LIBS) $(LIBS)
 
 %.la : %.lo
diff -w -ru sawfish-1.0.orig/src/keys.h sawfish-1.0/src/keys.h
--- sawfish-1.0.orig/src/keys.h	Fri May  4 02:41:55 2001
+++ sawfish-1.0/src/keys.h	Tue Jul 24 15:50:33 2001
@@ -40,7 +40,7 @@
     EV_CODE_MOUSE_UP1,
     EV_CODE_MOUSE_CLICK3,
     EV_CODE_MOUSE_UP2,
-    EV_CODE_MOUSE_UP3,
+    EV_CODE_MOUSE_UP3
 };
 
 /* The low 16 bits of the MODS is the standard X modifier mask. Bits
@@ -69,7 +69,7 @@
 
     EV_TYPE_MASK  = 0x000f0000,
     EV_MOD_MASK   = 0x0ff0ffff,
-    EV_VIRT_MOD_MASK = 0x0ff00000,
+    EV_VIRT_MOD_MASK = 0x0ff00000
 };
 
 
diff -w -ru sawfish-1.0.orig/src/sawmill_subrs.h sawfish-1.0/src/sawmill_subrs.h
--- sawfish-1.0.orig/src/sawmill_subrs.h	Wed Jun 20 16:43:16 2001
+++ sawfish-1.0/src/sawmill_subrs.h	Wed Jul 25 10:26:36 2001
@@ -51,7 +51,7 @@
 extern void commands_init (void);
 
 /* from display.c */
-extern char *prog_name;
+/* extern char *prog_name; */
 extern Display *dpy;
 extern int screen_num, screen_width, screen_height, preferred_depth;
 extern Visual *preferred_visual;
